package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyangzhou 事件操作
 */

@Getter
@RequiredArgsConstructor
public enum EventOperationEnum {

    OP_REPORT("上报", "REP"), OP_PRETREATMENT("预处理", "PHD"), OP_ACCEPT_CASE("受理", "ACC"),
    OP_NOT_ACCEPT_CASE("不予受理", "RJA"), OP_FILING_CASE("立案", "REG"), OP_NOT_FILING_CASE("不予立案", "ONF"),
    OP_DISPATCH_DEPT("派遣到部门", "DSD"), OP_DISPATCH_PERSONAL("派遣到处置人员", "DSP"), OP_DISPOSAL("处置", "HDL"),
    OP_VERIFY_PASS("核查通过", "VAP"), OP_VERIFY_NO_PASS("核查不通过", "VRJ"), OP_CLOSE_CASE_PASS("结案通过", "CAP"),
    OP_CLOSE_CASE_NO_PASS("结案不通过", "CRJ"), OP_SINGLE_SOLDIER_DIRECT("指令直达单兵", "ODP"),
    OP_TRANSFER_TO_ACCEPT_CENTER("转受理中心", "ZAC"), OP_CANCEL("作废", "VOD"), OP_BACK("回退", "RLB"), OP_DEL("删除", "DEL"),
    OP_EDIT("编辑", "EDT");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

}
