package com.hncy.sjdz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyz
 */

@Getter
@RequiredArgsConstructor
public enum ReportSystemEnum {

    /**
     * 当前上报事件的渠道 诚管24 APP 巡查通 小程序 新都 市民之声 小程序 XD-CITIZEN 新都桥梁监测事件 平台推送 XD-QL 合能车载
     * HN-AI-CAR
     */
    CZ24("CG24", "诚管24APP"),
	XCX("XCT", "巡查通"),
	XD_CITIZEN("XD-CITIZEN", "市民之声"),
	XD_QL("XD-QL", "桥梁监测"),
    HN_AI_CAR("HN-AI-CAR", "智能车载"),
	LAMPBLACK("LAMPBLACK", "油烟监测"),
	UAV("UAV","无人机"),
	TOILET("TOILET", "智慧公厕"),
	MQWB("MQWB", "门前五包");


    private final String code;

    private final String desc;

	public static ReportSystemEnum getEnum(String code) {
		for (ReportSystemEnum item : ReportSystemEnum.values()) {
			if (item.getCode().equals(code)) {
				return item;
			}
		}
		return null;
	}
}
