package com.hncy.sjdz.base.models.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 数据底座-重大项目信息
 * @TableName sjdz_major_project
 */
@Data
public class SjdzMajorProjectListVO implements Serializable {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 项目名
     */
	@Schema(description = "项目名")
    private String projectName;

    /**
     * 单位名
     */
	@Schema(description = "单位名")
    private String unitName;

	@Schema(description = "时间范围")
	private String dateRange;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}