package com.hncy.sjdz.base.service;

import com.hncy.sjdz.base.models.entity.ResponsibilityGridDivision;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author tyz
* @description 针对表【responsibility_grid_division(责任网格划分)】的数据库操作Service
* @createDate 2024-11-13 15:07:09
*/
public interface ResponsibilityGridDivisionService extends IService<ResponsibilityGridDivision> {

	/**
	 * 获取当前用户负责的网格
	 * @param userId 用户id
	 * @return 网格代码
	 */
    List<String> getMyGridCodes(String userId);
}
