package com.hncy.sjdz.util;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.List;

/**
 * 前端下拉菜单项
 *
 * @author fate
 * @version 1.0.0
 **/
@Data
public class SelectOption {

    private String label;

    private String value;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String count;

	@JsonInclude(JsonInclude.Include.NON_NULL)
    private List<SelectOption> childrens;

}
