package com.hncy.sjdz.base.models.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 监测情况记录表
 *
 * @author cp
 * @since 2024-11-07 19:44:03
 */
@Data
@TableName("safety_monitoring_record_info")
public class SafetyMonitoringRecordInfo implements Serializable{

    private static final long serialVersionUID=1L;

    /**
     *  主键
     */
    private String id;

    /**
     *  监测对象ID
     */
    private String monitoringObjectId;

    /**
     *  风险事件ID
     */
    private String riskEventId;

    /**
     *  监测项目
     */
    private String monitoringProject;

    /**
     *  监测值
     */
    private String monitoringValue;

    /**
     *  上报对象
     */
    private String reportObject;

    /**
     *  是否正常
     */
    private String normalFlag;

    /**
     *  来源方式
     */
    private String sourceType;

    /**
     *  上传时间
     */
    private String reportTime;

    /**
     *  来源方式编码
     */
    private String sourceTypeCode;

}