package com.hncy.sjdz.base.models.entity;



import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 风险事件表
 *
 * @author cp
 * @since 2024-11-07 15:33:16
 */
@Data
@TableName("safety_risk_event_info")
public class SafetyRiskEventInfo implements Serializable{

    private static final long serialVersionUID=1L;

    /**
     *  主键
     */
    private String id;

    /**
     *  监测对象ID
     */
    private String monitoringObjectId;

    /**
     *  来源方式
     */
    private String sourceType;

    /**
     *  来源方式编码
     */
    private String sourceTypeCode;

    /**
     *  预警时间
     */
    private String warningTime;

    /**
     *  上报对象
     */
    private String reportObject;

    /**
     *  预警内容
     */
    private String warningContext;

    /**
     *  处置时限
     */
    private String handleLimitTime;

    /**
     *  当前状态
     */
    private String currentStatus;

    /**
     *  事件类别
     */
    private String eventType;

    /**
     *  事件耗时
     */
    private String eventDuration;

    /**
     *  事件标题
     */
    private String eventTitle;



	/**
	 *  经度
	 */
	private String xPos;

	/**
	 *  纬度
	 */
	private String yPos;



	/**
	 *  风险等级
	 */
	private String risklevel;

	/**
	 *  风险等级
	 */
	private String riskid;


}