package com.hncy.sjdz.base.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.sjdz.base.models.entity.SafetyRiskEventInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 风险事件表
 *
 * @author cp
 * @since 2024-11-07 15:33:16
 */
@Mapper
public interface SafetyRiskEventInfoMapper extends BaseMapper<SafetyRiskEventInfo> {

	Map statisticalEvent(@Param("parentTypeCode") String parentTypeCode);

	List<Map> eventPage(@Param("parentTypeCode") String parentTypeCode,
						@Param("riskLevelCode") String riskLevelCode,
						@Param("disposalStatus") String disposalStatus,
						@Param("source") String source);

	Map getInfo(@Param("riskId") String riskId);
}