package com.hncy.sjdz.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hncy.sjdz.base.models.entity.CallInformation;
import com.hncy.sjdz.base.models.vo.EventInformationVO;
import com.hncy4cloud.hncy.common.core.util.R;
import com.hncy4cloud.hncy.common.mybatis.custom.CustomPage;

/**
 * 网络理政来电信息-基本信息
 *
 * @author zhaoting
 * @date 2024-11-12 12:18:51
 */
public interface CallInformationService extends IService<CallInformation> {

	R<CustomPage<EventInformationVO>> getEventInfoPage(Integer page, Integer count, String area, String keyWord);

	R getSjdzQzTjNewest(String area);
}