package com.hncy.sjdz.base.service.impl;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hncy.sjdz.base.models.dto.BaseLabelEntity;
import com.hncy.sjdz.base.models.entity.SjdzIndustryCategoryDay;
import com.hncy.sjdz.base.models.entity.SjdzIndustryStatisticsDay;
import com.hncy.sjdz.base.service.SjdzIndustryStatisticsDayService;
import com.hncy.sjdz.base.mapper.SjdzIndustryStatisticsDayMapper;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.List;

/**
* @author tyz
* @description 针对表【sjdz_industry_statistics_day(数据底座-行业问题-环卫固废问题每日统计)】的数据库操作Service实现
* @createDate 2024-11-12 15:36:30
*/
@Service
public class SjdzIndustryStatisticsDayServiceImpl extends ServiceImpl<SjdzIndustryStatisticsDayMapper, SjdzIndustryStatisticsDay>
    implements SjdzIndustryStatisticsDayService{

    @Override
    public List<BaseLabelEntity> getTodaySanitationSolidWasteIssues() {
		return baseMapper.getTodaySanitationSolidWasteIssues();
	}

}




